Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.dynamictree.model.impl
Class TestElementImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecp.view.dynamictree.model.impl.TestElementImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, TestElement

    public class TestElementImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements TestElement

An implementation of the model object 'Test Element'.

The following features are implemented:

- `Id`
- `Elements`
- `Parent Id`
- `Name`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)` .
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, Object newValue)`
`void` | `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<TestElement>` | `getElements()`
`String` | `getId()`
`String` | `getName()`
`String` | `getParentId()`
`void` | `setId(String newId)`
`void` | `setName(String newName)`
`void` | `setParentId(String newParentId)`
`String` | `toString()`
`boolean` | `validate(org.eclipse.emf.common.util.DiagnosticChain diagnostic, Map<?,?> context)` Validates this test element.

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getId

    public String getId()

  Specified by:
    `getId` in interface `TestElement`
  Returns:
    the value of the 'Id' attribute.
  See Also:
    `TestElement.setId(String)`, `ModelPackage.getTestElement_Id()`

### setId

    public void setId(String newId)

  Specified by:
    `setId` in interface `TestElement`
  Parameters:
    `newId` - the new value of the 'Id' attribute.
  See Also:
    `TestElement.getId()`

### getElements

    public org.eclipse.emf.common.util.EList<TestElement> getElements()

  Specified by:
    `getElements` in interface `TestElement`
  Returns:
    the value of the 'Elements' containment reference list.
  See Also:
    `ModelPackage.getTestElement_Elements()`

### getParentId

    public String getParentId()

  Specified by:
    `getParentId` in interface `TestElement`
  Returns:
    the value of the 'Parent Id' attribute.
  See Also:
    `TestElement.setParentId(String)`, `ModelPackage.getTestElement_ParentId()`

### setParentId

    public void setParentId(String newParentId)

  Specified by:
    `setParentId` in interface `TestElement`
  Parameters:
    `newParentId` - the new value of the 'Parent Id' attribute.
  See Also:
    `TestElement.getParentId()`

### getName

    public String getName()

  Specified by:
    `getName` in interface `TestElement`
  Returns:
    the value of the 'Name' attribute.
  See Also:
    `TestElement.setName(String)`, `ModelPackage.getTestElement_Name()`

### setName

    public void setName(String newName)

  Specified by:
    `setName` in interface `TestElement`
  Parameters:
    `newName` - the new value of the 'Name' attribute.
  See Also:
    `TestElement.getName()`

### validate

    public boolean validate(org.eclipse.emf.common.util.DiagnosticChain diagnostic,
                            Map<?,?> context)

  Validates this test element.

  Specified by:
    `validate` in interface `TestElement`
  Parameters:
    `diagnostic` - the diagnostic chain
    `context` - the context
  Returns:
    `true` if this element is valid, `false` otherwise

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  .

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public Object eGet(int featureID,
                       boolean resolve,
                       boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.